Bug 1420507 - VDSM service keeps stopping on Fedora 25
Summary: VDSM service keeps stopping on Fedora 25
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.20.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Dan Kenigsberg
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 20:41 UTC by jniederm
Modified: 2017-08-22 07:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 07:48:22 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+


Attachments (Terms of Use)
logs.zip (273.77 KB, application/zip)
2017-02-08 20:41 UTC, jniederm
no flags Details
logs2.zip (864.21 KB, application/zip)
2017-02-13 15:45 UTC, jniederm
no flags Details

Description jniederm 2017-02-08 20:41:09 UTC
Created attachment 1248661 [details]
logs.zip

Description of problem:
After several time vdsm service stops, repeatedly. I don't know whether it's spontaneous or triggered by some action in engine. Last lines of vdsm.log are:

  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 3701, in getLibVersion
    if ret == -1: raise libvirtError ('virConnectGetLibVersion() failed', conn=self)
libvirtError: internal error: client socket is closed

`systemctl start vdsmd` doesn't help. It's necessary to reboot host. 'libvirtd' service is running.

Version-Release number of selected component (if applicable):
libvirt-client.x86_64                  3.0.0-1.fc25              
libvirt-daemon.x86_64                  3.0.0-1.fc25              
libvirt-daemon-config-nwfilter.x86_64  3.0.0-1.fc25              
libvirt-daemon-driver-interface.x86_64 3.0.0-1.fc25              
libvirt-daemon-driver-network.x86_64   3.0.0-1.fc25              
libvirt-daemon-driver-nodedev.x86_64   3.0.0-1.fc25              
libvirt-daemon-driver-nwfilter.x86_64  3.0.0-1.fc25              
libvirt-daemon-driver-qemu.x86_64      3.0.0-1.fc25              
libvirt-daemon-driver-secret.x86_64    3.0.0-1.fc25              
libvirt-daemon-driver-storage.x86_64   3.0.0-1.fc25              
libvirt-daemon-kvm.x86_64              3.0.0-1.fc25              
libvirt-libs.x86_64                    3.0.0-1.fc25              
libvirt-lock-sanlock.x86_64            3.0.0-1.fc25              
libvirt-python.x86_64                  3.0.0-1.fc25              
vdsm.x86_64                            4.20.0-341.git616caa9.fc25
vdsm-api.noarch                        4.20.0-341.git616caa9.fc25
vdsm-hook-vmfex-dev.noarch             4.20.0-341.git616caa9.fc25
vdsm-jsonrpc.noarch                    4.20.0-341.git616caa9.fc25
vdsm-python.noarch                     4.20.0-341.git616caa9.fc25
vdsm-xmlrpc.noarch                     4.20.0-341.git616caa9.fc25
vdsm-yajsonrpc.noarch                  4.20.0-341.git616caa9.fc25    

How reproducible:
100% 

Steps to Reproduce:
?, Try to start and shutdown a VM.

Actual results:
vdsmd service is stopped, host is Non-responsive in engine 

Expected results:
vdsmd is not crashing

Additional info:
The host has selinux disabled

Comment 1 Michal Skrivanek 2017-02-09 08:27:18 UTC
when you see problem connecting to libvirt, obviously you need to gather/provide libvirt debugging information;)

Comment 2 jniederm 2017-02-13 15:45:12 UTC
Created attachment 1249903 [details]
logs2.zip

vdsm.log and output of `journalctl --boot=-1 -u libvirtd -u vdsmd` with libvirtd log level set to DEBUG

Comment 3 Michal Skrivanek 2017-08-22 07:48:22 UTC
dies on libvirt access. I suppose wrong libvirt(virt-preview) repos


Note You need to log in before you can comment on or make changes to this bug.